Bug 1411220 - [RFE] Allow exporting of templates
Summary: [RFE] Allow exporting of templates
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Provisioning Templates
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: Unspecified
Assignee: Marek Hulan
QA Contact: Lukas Zapletal
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-09 07:42 UTC by Marek Hulan
Modified: 2019-08-12 14:53 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-21 16:39:58 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 17403 0 None None None 2017-01-09 07:43:00 UTC
Foreman Issue Tracker 17623 0 None None None 2017-01-09 07:48:17 UTC
Red Hat Bugzilla 1402922 0 medium CLOSED [RFE] Publishing provisioning template by version control system 2021-02-22 00:41:40 UTC

Internal Links: 1402922

Description Marek Hulan 2017-01-09 07:42:59 UTC
Based on popularity of the same feature in remote execution that allows to share templates easily, there's no reason why not the introduce the same in core. Especially with API, it's possible to script exporting to some repo. Also this will help foreman_temples exporting feature greatly.

Comment 1 Marek Hulan 2017-01-09 07:43:03 UTC
Created from redmine issue http://projects.theforeman.org/issues/17403

Comment 2 Marek Hulan 2017-01-09 07:43:07 UTC
Upstream bug assigned to mhulan@redhat.com

Comment 4 Marek Hulan 2017-01-09 07:48:18 UTC
Reproducing steps:

1. go to Host -> Provisioning Templates
2. In actions column, choose export for any template
3. verify you can download it

The same works for any template kind. Note that metadata of a template are generated based on template attributes. Exporting requires view permission. Exporting is also available through API.

Comment 5 pm-sat@redhat.com 2017-01-09 09:20:46 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/17623 has been resolved.

Comment 7 Lukas Zapletal 2017-08-09 11:40:44 UTC
Templates exports fine in the UI.

I am able to dump templates via CLI.

[root@zzzap ~]# hh template dump --name "Alterator default PXELinux"
<%#
kind: PXELinux
name: Alterator default PXELinux
oses:
- ALTLinux p6
- ALTLinux p7
-%>
...

That provides the same feature.

[root@zzzap ~]# rpm -q foreman katello
foreman-1.15.2-1.el7sat.noarch
katello-3.4.4-2.el7sat.noarch

Comment 8 Bryan Kearney 2018-02-21 16:38:45 UTC
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.

For information on the advisory, and where to find the updated files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0336

Comment 9 Bryan Kearney 2018-02-21 16:39:58 UTC
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.

For information on the advisory, and where to find the updated files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0336

Comment 10 pm-sat@redhat.com 2018-02-21 16:54:17 UTC
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.
> 
> For information on the advisory, and where to find the updated files, follow the link below.
> 
> If the solution does not work for you, open a new bug report.
> 
> https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.